OGRE: Ogre::ControllerValue< T > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ControllerValue< T > Class Template Referenceabstract
Core » General

Can either be used as an input or output value. More...

`#include <OgreController.h>`

Inheritance diagram for Ogre::ControllerValue< T >:
[legend]

## Public Member Functions
virtual | ~ControllerValue ()
virtual T | getValue (void) const =0
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual void | setValue (T value)=0

## Detailed Description

### template<typename T>
class Ogre::ControllerValue< T >

Can either be used as an input or output value.

## Constructor & Destructor Documentation

## ◆ ~ControllerValue()

template<typename T >

virtual Ogre::ControllerValue< T >::~ControllerValue | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getValue()

template<typename T >

virtual T Ogre::ControllerValue< T >::getValue | ( | void |  | ) | const
| pure virtual

Implemented in Ogre::FloatGpuParameterControllerValue, Ogre::TexCoordModifierControllerValue, Ogre::TextureFrameControllerValue, Ogre::FrameTimeControllerValue, Ogre::v1::AnimationStateControllerValue, and Ogre::TextureAnimationControllerValue.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setValue()

template<typename T >

virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) |
| pure virtual

Implemented in Ogre::FloatGpuParameterControllerValue, Ogre::TexCoordModifierControllerValue, Ogre::TextureFrameControllerValue, Ogre::FrameTimeControllerValue, Ogre::v1::AnimationStateControllerValue, and Ogre::TextureAnimationControllerValue.

The documentation for this class was generated from the following file:

- OgreController.h